.net version for OE 11 - Forum - OpenEdge Development - Progress Community
 Forum

.net version for OE 11

  • Does OE 11 support .net 4.0 ? I was under the impression that it was on the roadmap for 11.

    So, if it does, is it possible to use the Dynamic (http://msdn.microsoft.com/en-us/library/system.dynamic.dynamicobject.aspx) objects in the ABL ?

  • Does OE 11 support .net 4.0 ? I was under the impression that it was on the roadmap for 11.

     

    Yes, you can use .NET assemblies.

    >So, if it does, is it possible to use the Dynamic (http://msdn.microsoft.com/en-us/library/system.dynamic.dynamicobject.aspx) objects in the ABL ?

    That seems to require C# 4.0 language features, and not just .NET 4.0 framework classes. It's a shorthand notion for using dictionaries. So I guess, that's not supported form the ABL.